Get parsed results from uploaded files
curl --request GET \
--url https://app.herondata.io/api/end_user_files/{heron_id}/parsed_results \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_user_files/{heron_id}/parsed_results"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_user_files/{heron_id}/parsed_results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created": "2023-11-07T05:31:56Z",
"heron_id": "<string>",
"parser_id": "<string>",
"attribute_values": [
{}
],
"bounding_boxes": [
{
"bounding_box": [
123
],
"json_pointer": "<string>",
"page_num": 123,
"value": "<string>"
}
],
"field_validations": [
{
"failure_reason": "<string>",
"field_name": "<string>",
"result": "pass",
"validation_type": "<string>"
}
],
"id": 123,
"layout_bounding_boxes": [
{
"bounding_box": [
123
],
"json_pointer": "<string>",
"page_num": 123,
"value": "<string>"
}
],
"parser_display_name": "<string>",
"patches": [
{
"op": "<string>",
"path": "<string>",
"correction_reason": "<string>",
"enabled": true,
"original_value": null,
"source": "<string>",
"value": null
}
],
"result": {},
"result_schema": {},
"validation_summary": "<string>"
}
]EndUserFiles
Get parsed results from uploaded files
GET
/
api
/
end_user_files
/
{heron_id}
/
parsed_results
Get parsed results from uploaded files
Authorizations
Path Parameters
The file's heron_id - beginning with 'euf_'
Response
200 - application/json
OK
Unique identifier of the end user file
Available options:
succeeded, failed, processing Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
[DEPRECATED] Unique identifier for the parsed file
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Final output result after applying patches
Show child attributes
Show child attributes
The output JSON schema the results conform to
Show child attributes
Show child attributes
Summary of validation results
Was this page helpful?
⌘I